\definecolor{dbwrru}{rgb}{0.8588235294117647,0.3803921568627451,0.0784313725490196}
\definecolor{rvwvcq}{rgb}{0.08235294117647059,0.396078431372549,0.7529411764705882}
\definecolor{wrwrwr}{rgb}{0.3803921568627451,0.3803921568627451,0.3803921568627451}
\begin{tikzpicture}[line cap=round,line join=round,x=0.5cm,y=0.5cm]
\clip(-1,-1) rectangle (4,6);
\fill[line width=1pt,color=rvwvcq,fill=rvwvcq!30] (0,0) -- (0,1) -- (3,0) -- cycle;
\fill[line width=1pt,color=dbwrru,fill=dbwrru!30] (3,0) -- (0,1) -- (1.326,4.978) -- cycle;
\draw[line width=1pt] (0.42426406871192857,0) -- (0.4242640687119286,0.42426406871192857) -- (0,0.42426406871192857) -- (0,0) -- cycle; 
\draw[line width=1pt] (0.4024922359499622,0.8658359213500126) -- (0.5366563145999496,1.2683281572999747) -- (0.1341640786499874,1.4024922359499623) -- (0,1) -- cycle; 
\draw [line width=1pt,color=rvwvcq] (0,0)-- (0,1);
\draw [line width=1pt,color=rvwvcq] (0,1)-- (3,0);
\draw [line width=1pt,color=rvwvcq] (3,0)-- (0,0);
\draw [line width=1pt,color=dbwrru] (3,0)-- (0,1);
\draw [line width=1pt,color=dbwrru] (0,1)-- (1.326,4.978);
\draw [line width=1pt,color=dbwrru] (1.326,4.978)-- (3,0);
\draw (-0.5,-0.5) node {$A$};
\draw (-0.5,1.5) node {$B$};
\draw (3.5,-0.5) node {$D$};
\draw (1.501,5.5) node {$C$};
\end{tikzpicture}